//---------------------------------------------------------------------------

#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <System.Classes.hpp>
#include <Vcl.Controls.hpp>
#include <Vcl.StdCtrls.hpp>
#include <Vcl.Forms.hpp>
#include <Vcl.ExtCtrls.hpp>
#include "SvgCanvas.hpp"
//---------------------------------------------------------------------------
class TFormMain : public TForm
{
__published:	// IDE-managed Components
  TPaintBox *PaintBox;
  TPanel *Panel;
  TButton *ButtonSaveSvg;
  void __fastcall PaintBoxPaint(TObject *Sender);
  void __fastcall ButtonSaveSvgClick(TObject *Sender);
private:	// User declarations
  bool WriteSvg;
  void __fastcall DrawPicture(TSvgCanvas *Canvas);
public:		// User declarations
  __fastcall TFormMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TFormMain *FormMain;
//---------------------------------------------------------------------------
#endif
